%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-taquin
Version:	3.38.1
Release:	%mkrel 3
Summary:	GNOME Taquin game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Taquin
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# couple upstream post 3.38.1 commits to help it build
Patch1:         0001-Don-t-alter-or-try-to-write-GtkChild-fields.patch
Patch2:         0001-Reference-of-GtkChild-fields-is-handled-by-GtkBuilde.patch
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.28.3
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.40.0
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(libcanberra-gtk3)
# For help
Requires:	yelp

%description
Test your logic skills in this number grid puzzle.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Taquin.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Taquin.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/apps/org.gnome.Taquin*
%{_metainfodir}/org.gnome.Taquin.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Taquin.service
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Aug 14 2022 tv <tv> 3.38.1-3.mga9
+ Revision: 1877566
- Fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Oct 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632033
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625256
- new version 3.38.0

* Fri Aug 28 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619390
- new version 3.37.91

* Thu Jun 11 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1592421
- new version 3.37.1

* Sat May 30 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589036
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571745
- new version 3.36.2

* Mon Mar 09 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555132
- new version 3.36.0

* Wed Mar 04 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1553745
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 3.35.91

* Fri Feb 14 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1517080
- new version 3.34.4

* Mon Jan 06 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476979
- new version 3.34.3

* Sat Nov 23 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462353
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450367
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439213
- new version 3.34.0

* Mon Aug 19 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430301
- new version 3.33.91

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427580
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392505
- Rebuild with meson 0.50.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374868
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.91-1.mga7
+ Revision: 1373182
- new version 3.31.91
- switch to meson build system

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257161
- new version 3.30.0

* Tue Mar 20 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1210820
- new version 3.28.0

* Mon Oct 09 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1170410
- new release

* Mon Sep 26 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1057001
- imported package gnome-taquin

